ChangeSet 1.1625, 2004/03/02 19:25:34-08:00, greg@kroah.com

PCI Hotplug: clean up the Makefile a bit more.


 drivers/pci/hotplug/Makefile |   30 ++++++++++++------------------
 1 files changed, 12 insertions(+), 18 deletions(-)


diff -Nru a/drivers/pci/hotplug/Makefile b/drivers/pci/hotplug/Makefile
--- a/drivers/pci/hotplug/Makefile	Tue Mar  2 19:42:02 2004
+++ b/drivers/pci/hotplug/Makefile	Tue Mar  2 19:42:02 2004
@@ -50,13 +50,10 @@
 				pciehp_pci.o	\
 				pciehp_sysfs.o	\
 				pciehp_hpc.o
-
-ifdef CONFIG_HOTPLUG_PCI_PCIE
-  ifdef CONFIG_ACPI_BUS
-    pciehp-objs += pciehprm_acpi.o
-  else
-    pciehp-objs += pciehprm_nonacpi.o
-  endif
+ifdef CONFIG_ACPI_BUS
+	pciehp-objs += pciehprm_acpi.o
+else
+	pciehp-objs += pciehprm_nonacpi.o
 endif
 
 shpchp-objs		:=	shpchp_core.o	\
@@ -64,15 +61,12 @@
 				shpchp_pci.o	\
 				shpchp_sysfs.o	\
 				shpchp_hpc.o
-
-ifdef CONFIG_HOTPLUG_PCI_SHPC
-  ifdef CONFIG_ACPI_BUS
-    shpchp-objs += shpchprm_acpi.o
-  else
-    ifdef CONFIG_HOTPLUG_PCI_SHPC_PHPRM_LEGACY
-      shpchp-objs += shpchprm_legacy.o
-    else
-      shpchp-objs += shpchprm_nonacpi.o
-    endif
-  endif
+ifdef CONFIG_ACPI_BUS
+	shpchp-objs += shpchprm_acpi.o
+else
+	ifdef CONFIG_HOTPLUG_PCI_SHPC_PHPRM_LEGACY
+		shpchp-objs += shpchprm_legacy.o
+	else
+		shpchp-objs += shpchprm_nonacpi.o
+	endif
 endif
